Event Flow Integrations
The Bearer API key of your user more info.
filter by the id of the event flow
the event flow integrations
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
GET /api/event-flow-integrations HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the event flow integrations
[
{
"id": 1,
"integrationType": "NAGIOS",
"integrationKey": "text",
"eventFlowId": 1,
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
},
"integrationUrl": "https://example.com"
}
]The Bearer API key of your user more info.
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
the created event flow integration
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
POST /api/event-flow-integrations HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"integrationType": "NAGIOS",
"eventFlowId": 1
}the created event flow integration
{
"id": 1,
"integrationType": "NAGIOS",
"integrationKey": "text",
"eventFlowId": 1,
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
},
"integrationUrl": "https://example.com"
}The Bearer API key of your user more info.
the id of the event flow integration
the event flow integration
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
GET /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the event flow integration
{
"id": 1,
"integrationType": "NAGIOS",
"integrationKey": "text",
"eventFlowId": 1,
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
},
"integrationUrl": "https://example.com"
}The Bearer API key of your user more info.
the id of the event flow integration
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
the updated event flow integration
The key that identifies this integration when events are sent to it.
The id of the event flow that events of this integration are routed into.
The url events are sent to.
PUT /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"integrationType": "NAGIOS",
"eventFlowId": 1
}the updated event flow integration
{
"id": 1,
"integrationType": "NAGIOS",
"integrationKey": "text",
"eventFlowId": 1,
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
},
"integrationUrl": "https://example.com"
}The Bearer API key of your user more info.
the id of the event flow integration
no content
No content
DELETE /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
no content
No content
Last updated
Was this helpful?